{
  "id": "c97e112f-6742-4754-be09-0abd659f1eb5",
  "prevId": "00000000-0000-0000-0000-000000000000",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.settings": {
      "name": "settings",
      "schema": "",
      "columns": {
        "settings_id": {
          "name": "settings_id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "name": {
          "name": "name",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "value": {
          "name": "value",
          "type": "text",
          "primaryKey": false,
          "notNull": true
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "moduleName": {
          "name": "moduleName",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "active": {
          "name": "active",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false,
          "default": true
        },
        "roles": {
          "name": "roles",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": true,
          "default": "'[\"systemAdmin\"]'::jsonb"
        },
        "add_User": {
          "name": "add_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "add_Date": {
          "name": "add_Date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        },
        "upd_User": {
          "name": "upd_User",
          "type": "text",
          "primaryKey": false,
          "notNull": true,
          "default": "'LST_System'"
        },
        "upd_date": {
          "name": "upd_date",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false,
          "default": "now()"
        }
      },
      "indexes": {
        "name": {
          "name": "name",
          "columns": [
            {
              "expression": "name",
              "isExpression": false,
              "asc": true,
              "nulls": "last"
            }
          ],
          "isUnique": true,
          "concurrently": false,
          "method": "btree",
          "with": {}
        }
      },
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {},
      "policies": {},
      "checkConstraints": {},
      "isRLSEnabled": false
    }
  },
  "enums": {},
  "schemas": {},
  "sequences": {},
  "roles": {},
  "policies": {},
  "views": {},
  "_meta": {
    "columns": {},
    "schemas": {},
    "tables": {}
  }
}